apiVersion: apps/v1
kind: Deployment
metadata:
  name: <deployment-name>
  labels:
    app: minecraft-server
    serverId: <change-me>
spec:
  replicas: 1  
  strategy:
    type: Recreate
  selector:
    matchLabels:
      app: minecraft-server
      serverId: <change-me>
  template:
    metadata:
      labels:
        app: minecraft-server
        serverId: <change-me>
    spec:
      imagePullSecrets:
          - name: gitlab-registry-secret
      securityContext:
        fsGroup: 1000
      containers:
      - name: minecraft
        image: registry.gitlab.com/cpelyon/5irc-minekloud/docker-minecraft-server/vanilla:latest
        imagePullPolicy: IfNotPresent
        ports:
        - containerPort: 25565
        env:
        - name: EULA
          value: "TRUE"
        volumeMounts:
        - mountPath: "/data"
          name: mypd
        resources:
          requests:
            cpu: "200m"
            memory: "1Gi"
          limits:
            cpu: "2"
            memory: 4Gi
      volumes:
        - name: mypd
          persistentVolumeClaim:
            claimName: <claimName>
